Skip to main content
GET
/
edges
/
https
/
{id}
/
tls_termination
Get
curl --request GET \
  --url https://api.ngrok.com/edges/https/{id}/tls_termination \
  --header 'Authorization: Bearer <token>' \
  --header 'ngrok-version: <ngrok-version>'
import requests

url = "https://api.ngrok.com/edges/https/{id}/tls_termination"

headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'ngrok-version': '<ngrok-version>', Authorization: 'Bearer <token>'}
};

fetch('https://api.ngrok.com/edges/https/{id}/tls_termination', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "enabled": true,
  "terminate_at": "<string>",
  "min_version": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

ngrok-version
integer
default:2
required

Path Parameters

id
string
required

a resource identifier

Response

200 - application/json

n/a

enabled
boolean

true if the module will be applied to traffic, false to disable. default true if unspecified

terminate_at
string

edge if the ngrok edge should terminate TLS traffic, upstream if TLS traffic should be passed through to the upstream ngrok agent / application server for termination. if upstream is chosen, most other modules will be disallowed because they rely on the ngrok edge being able to access the underlying traffic.

min_version
string

The minimum TLS version used for termination and advertised to the client during the TLS handshake. if unspecified, ngrok will choose an industry-safe default. This value must be null if terminate_at is set to upstream.